Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 219428 - Show first found entry on file name doubleclick
Show first found entry on file name doubleclick
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.2
All All
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 09:17 UTC by Alexander Kouznetsov
Modified: 2013-02-26 22:32 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kouznetsov 2012-10-03 09:17:15 UTC
Steps to reproduce:
- Right-click Source Packages entry in Projects for Java or JavaFX project
- Search for something that exists in the files, "get" for example.
- In Search results window:
Double click on any file name: The file is shown but it is either the beginning of the file or the last edited place.

It would be really great if double-click on file name in Search/Usages Results
will open the file in editor showing first found entry.

See also original bug 217115.
Comment 1 Jaroslav Havlin 2013-01-29 10:33:45 UTC
http://hg.netbeans.org/core-main/rev/ae577a146fbe
Fixed. Thank you for reporting.
Comment 2 Quality Engineering 2013-01-30 03:40:15 UTC
Integrated into 'main-golden', will be available in build *201301300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ae577a146fbe
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #219428: Show first found entry on file name doubleclick


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo